<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelBookingRules StructType
 * @subpackage Structs
 */
class HotelBookingRules extends AbstractStructBase
{
    /**
     * The HotelBookingRulesRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelBookingRuleRQ
     */
    public $HotelBookingRulesRQ;
    /**
     * Constructor method for HotelBookingRules
     * @uses HotelBookingRules::setHotelBookingRulesRQ()
     * @param \StructType\JP_HotelBookingRuleRQ $hotelBookingRulesRQ
     */
    public function __construct(\StructType\JP_HotelBookingRuleRQ $hotelBookingRulesRQ = null)
    {
        $this
            ->setHotelBookingRulesRQ($hotelBookingRulesRQ);
    }
    /**
     * Get HotelBookingRulesRQ value
     * @return \StructType\JP_HotelBookingRuleRQ|null
     */
    public function getHotelBookingRulesRQ()
    {
        return $this->HotelBookingRulesRQ;
    }
    /**
     * Set HotelBookingRulesRQ value
     * @param \StructType\JP_HotelBookingRuleRQ $hotelBookingRulesRQ
     * @return \StructType\HotelBookingRules
     */
    public function setHotelBookingRulesRQ(\StructType\JP_HotelBookingRuleRQ $hotelBookingRulesRQ = null)
    {
        $this->HotelBookingRulesRQ = $hotelBookingRulesRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelBookingRules
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
